Skip to content

Aggregate portfolio value and unrealized PNL for a user

GET
/markets-v2/portfolio-stats
curl --request GET \
--url 'https://api.ethos.network/api/v2/markets-v2/portfolio-stats?holderUserkey=example'
holderUserkey
required
string

Successful response

Media typeapplication/json
object
portfolioValue
required
integer format: int64
unrealizedPnl
required
integer format: int64

Example generated

{
"portfolioValue": 1,
"unrealizedPnl": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}